<form [formGroup]="form">
    <ng-container *ngIf="type === ExportType.AT_TIME">
        <mb-date-picker 
            [mbShowTime]="true" 
            mbMode="time" 
            mbFormat="dd/MM/yyyy HH:mm:ss" 
            mbType="default"
            mbLabelText="{{ 'staffAbs.label.exportAtTime' | translate }}" 
            formControlName="reportTime"
            [mbType]="isSubmitted && form.controls['reportTime'].errors ? 'error' : 'default'"
            [mbShowError]="isSubmitted && form.controls['reportTime'].errors !== null"
            [mbErrors]="form.controls['reportTime'].errors"
            [mbErrorDefs]="[
                {
                errorName: 'required',
                errorDescription: 'staffAbs.validate.required' | translate: { param: 'staffAbs.label.exportAtTime' | translate }
                }
            ]"></mb-date-picker>
    </ng-container>
    <ng-container *ngIf="type === ExportType.CHANGED">
        <mb-date-picker
            [mbShowTime]="true"
            mbMode="time"
            mbFormat="dd/MM/yyyy HH:mm:ss"
            mbType="default"
            mbLabelText="{{ 'staffAbs.label.exportChangedFromTime' | translate }}"
            formControlName="fromTime"
            [mbType]="isSubmitted && form.controls['fromTime'].errors ? 'error' : 'default'"
            [mbShowError]="isSubmitted && form.controls['fromTime'].errors !== null"
            [mbErrors]="form.controls['fromTime'].errors"
            [mbErrorDefs]="[
                { errorName: 'required', errorDescription: 'staffAbs.validate.required' | translate: { param: 'staffAbs.label.exportChangedFromTime' | translate }},
            ]">
        </mb-date-picker>
        <mb-date-picker
            [mbShowTime]="true"
            mbMode="time"
            mbFormat="dd/MM/yyyy HH:mm:ss"
            mbType="default"
            mbLabelText="{{ 'staffAbs.label.exportChangedToTime' | translate }}"
            formControlName="toTime"
            [mbType]="isSubmitted && (form.controls['toTime'].errors || form.errors) ? 'error' : 'default'"
            [mbShowError]="isSubmitted && (form.controls['toTime'].errors || form.errors) !== null"
            [mbErrors]="form.controls['toTime'].errors ? form.controls['toTime'].errors : (form.errors ? form.errors : null)"
            [mbErrorDefs]="[
                { errorName: 'required', errorDescription: 'staffAbs.validate.required' | translate: { param: 'staffAbs.label.exportChangedToTime' | translate }},
                { errorName: 'rangeDateError', errorDescription: 'staffAbs.timekeepingManagement.rangeDateError' | translate}
            ]">
        </mb-date-picker>
    </ng-container>
</form>